//    Austin is a program for updating projects kept in XML files.
//    Copyright (C) 2000  Joseph Gregorio
//
//    This program is free software; you can redistribute it and/or modify
//    it under the terms of the GNU General Public License as published by
//    the Free Software Foundation; either version 2 of the License, or
//    (at your option) any later version.
//
//    This program is distributed in the hope that it will be useful,
//    but WITHOUT ANY WARRANTY; without even the implied warranty of
//    MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
//    GNU General Public License for more details.
//
//    You should have received a copy of the GNU General Public License
//    along with this program; if not, write to the Free Software
//    Foundation, Inc., 59 Temple Place, Suite 330, Boston, MA  02111-1307  USA

#ifndef AUSTIN_DURATION_H
#define AUSITN_DURATION_H

// put class declarations here
#include <string>
using namespace std;

#pragma warning(disable:4231)
#pragma warning(disable:4251)


// 	The duration of a task. 
//   It can be stored in Days, Weeks, Months or Years.
//   Duration::set only looks at the first letter, if no
//   qualifier is given it is assumed to be in days.
//   The following are legal inputs into Duration::set()
//
//		 1 day
//		12 weeks
//		1 Week
//		12 Months
//		2 Years
//		0 years
class  Duration {
 public:
	enum DisplayFormat {
		DAY = 0,
		WEEK,
		MONTH,
		YEAR
	};
	
 protected:

	// The length of duration in days.
	int days_;
	
	DisplayFormat format_;

 public:
	Duration();

	Duration(const Duration& duration);

	~Duration();

	Duration & operator=(const Duration & rhs);

	operator int ();

	void set(const wstring & value);

	void set(int value);

	wstring get();

	wstring getShortString();

};

#endif // AUSTIN_DURATION_H













