//    Austin is a program for updating projects kept in XML files.
//    Copyright (C) 2000  Joseph Gregorio
//
//    This program is free software; you can redistribute it and/or modify
//    it under the terms of the GNU General Public License as published by
//    the Free Software Foundation; either version 2 of the License, or
//    (at your option) any later version.
//
//    This program is distributed in the hope that it will be useful,
//    but WITHOUT ANY WARRANTY; without even the implied warranty of
//    MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
//    GNU General Public License for more details.
//
//    You should have received a copy of the GNU General Public License
//    along with this program; if not, write to the Free Software
//    Foundation, Inc., 59 Temple Place, Suite 330, Boston, MA  02111-1307  USA

#ifndef AUSTIN_NODEITERATOR_H
#define AUSTIN_NODEITERATOR_H

#include <iterator>
using namespace std;


template<class ValueType>
class NodeIterator;

// TEMPLATE CLASS NodeIterator
//
// This class is for creating an iterator on a class
// that uses the GetFirstChild, GetNextSibling interface.
// 
template <class ValueType>
class NodeIterator
		: public iterator<input_iterator_tag, void, void> {
public:
	typedef ValueType value_type;
	explicit NodeIterator(ValueType & X)
		: current((ValueType &)(X)) {}
	explicit NodeIterator()
		: current() {}
	const ValueType& operator*() const
		{return (current); }
	const ValueType *operator->() const
		{return (&**this); }
	NodeIterator<ValueType>& operator++() {
			current = (ValueType &)(current.getNextSibling());
			return (*this); 
		}
	NodeIterator<ValueType> operator++(int)
		{NodeIterator<ValueType> tmp = *this;
		current = (ValueType &)(current.getNextSibling());
		return (tmp); }

	bool operator==(const NodeIterator<ValueType> & rhs) {
		return current == rhs.current;
	}

	bool operator!=(const NodeIterator<ValueType> & rhs) {
		return current != rhs.current;
	}
	
protected:
	ValueType current;

};


#endif
