<?xml version="1.0"?> 
<xsl:stylesheet xmlns:xsl="http://www.w3.org/1999/XSL/Transform">
<xsl:output method="html"/> 
  <xsl:template match="/">
    <HTML>
      <BODY> 
	<xsl:apply-templates select="//program" mode="table"/>
      </BODY>
    </HTML>
  </xsl:template>
  <xsl:template match="program" mode="table">
	<CENTER>
	<TABLE BORDER="1" style="width:120em; font-size:9pt;" BORDERCOLORDARK="0x000000" BORDERCOLORLIGHT="0x000000" CELLSPACING="0">
          <TR>
            <TD><B>Project</B></TD>
            <TD><B>Phase</B></TD>
            <TD style="width:5em"><B>Start</B></TD>
            <TD style="width:5em"><B>Input &amp; Planning</B></TD>
            <TD style="width:5em"><B>Concept Refinement</B></TD>
            <TD style="width:5em"><B>Detailed Design</B></TD>
            <TD style="width:5em"><B>Verification</B></TD>
            <TD style="width:5em"><B>Validation</B></TD>

            <TD style="width:5em"><B>Build Prototype</B></TD>
            <TD style="width:5em"><B>Pilot Run</B></TD>
            <TD style="width:5em"><B>In Stock</B></TD>
            <TD style="width:5em"><B>Release To Sales</B></TD>

            <TD style="width:5em"><B>Finish</B></TD>
            <TD style="width:10em"><B>Description</B></TD>
            <TD style="width:18em"><B>Core Team</B></TD>
            <TD style="width:5em"><B>Budget</B></TD>
            <TD style="width:5em"><B>Cost To Date</B></TD>
            <TD style="width:15em"><B>Notes</B></TD>
          </TR>
          <xsl:for-each select="project">
		<xsl:sort order="ascending" select="@phase"/>
	<xsl:if test="@stage = 'development'">

		<TR style="vertical-align:top">
	      <TD><xsl:value-of select="name"/></TD>
	      <TD><xsl:value-of select="@phase"/></TD>
	      <TD><xsl:for-each select="task">
		<xsl:if test="@id = 'Start'"><xsl:value-of select="dates/@start"/></xsl:if>
		  </xsl:for-each>
		</TD>
	      <TD><xsl:for-each select="task">
		<xsl:if test="@id = 'InputAndPlanning'"><xsl:value-of select="dates/@start"/><br/><xsl:value-of select="@work"/><br/><xsl:value-of select="@percent_complete"/><xsl:text>%</xsl:text></xsl:if>
		  </xsl:for-each>
		</TD>
	      <TD><xsl:for-each select="task">
		<xsl:if test="@id = 'ConceptRefinement'"><xsl:value-of select="dates/@start"/><br/><xsl:value-of select="@work"/><br/><xsl:value-of select="@percent_complete"/><xsl:text>%</xsl:text></xsl:if>
		  </xsl:for-each>
		</TD>
	      <TD><xsl:for-each select="task">
		<xsl:if test="@id = 'DetailedDesign'"><xsl:value-of select="dates/@start"/><br/><xsl:value-of select="@work"/><br/><xsl:value-of select="@percent_complete"/><xsl:text>%</xsl:text></xsl:if>
		  </xsl:for-each>
		</TD>
	      <TD><xsl:for-each select="task">
		<xsl:if test="@id = 'Verification'"><xsl:value-of select="dates/@start"/><br/><xsl:value-of select="@work"/><br/><xsl:value-of select="@percent_complete"/><xsl:text>%</xsl:text></xsl:if>
		  </xsl:for-each>
		</TD>
	      <TD><xsl:for-each select="task">
		<xsl:if test="@id = 'Validation'"><xsl:value-of select="dates/@start"/><br/><xsl:value-of select="@work"/><br/><xsl:value-of select="@percent_complete"/><xsl:text>%</xsl:text></xsl:if>
		  </xsl:for-each>
		</TD>


	      <TD><xsl:for-each select="task">
		<xsl:if test="@id = 'BuildPrototypes'"><xsl:value-of select="dates/@start"/><br/><xsl:value-of select="@work"/><br/><xsl:value-of select="@percent_complete"/><xsl:text>%</xsl:text></xsl:if>
		  </xsl:for-each>
		</TD>
	      <TD><xsl:for-each select="task">
		<xsl:if test="@id = 'PilotRun'"><xsl:value-of select="dates/@start"/><br/><xsl:value-of select="@work"/><br/><xsl:value-of select="@percent_complete"/><xsl:text>%</xsl:text></xsl:if>
		  </xsl:for-each>
		</TD>
	      <TD><xsl:for-each select="task">
		<xsl:if test="@id = 'InStock'"><xsl:value-of select="dates/@start"/><br/><xsl:value-of select="@work"/><br/><xsl:value-of select="@percent_complete"/><xsl:text>%</xsl:text></xsl:if>
		  </xsl:for-each>
		</TD>
	      <TD><xsl:for-each select="task">
		<xsl:if test="@id = 'ReleaseToSales'"><xsl:value-of select="dates/@start"/><br/><xsl:value-of select="@work"/><br/><xsl:value-of select="@percent_complete"/><xsl:text>%</xsl:text></xsl:if>
		  </xsl:for-each>
		</TD>


	      <TD style="width:5em"><xsl:for-each select="task">
		<xsl:if test="@id = 'Finish'"><xsl:value-of select="dates/@start"/></xsl:if>
		  </xsl:for-each>
		</TD>
	      <TD><xsl:value-of select="description"/></TD>
	      <TD style="width:18em"><xsl:for-each select="coreteam">
		<xsl:for-each select="child::*">
		<xsl:sort order="ascending" select="name()"/>
			<b><xsl:value-of select="name()"/><xsl:text>: </xsl:text></b><xsl:value-of select="."/><br/>
		 </xsl:for-each>
		  </xsl:for-each></TD>
	      <TD><xsl:value-of select="budget"/></TD>
	      <TD><xsl:value-of select="cost"/></TD>
	      <TD><xsl:value-of select="notes"/></TD>
	    </TR>
	</xsl:if>

          </xsl:for-each>
        </TABLE>
	</CENTER>
  </xsl:template>
</xsl:stylesheet>








